Page MenuHomePhabricator

Do something with capital and rank in place layer SQL
Closed, DeclinedPublic

Description

The SQL has

SELECT
    osm_id,
    way,
    name,
    (hstore_to_json(names))::text name_,
    rank::text AS class, -- TODO: use a case statement to do this properly
    NULL::bool AS capital,
    NULL::int AS rank

It is part of a UNION ALL, but the other part also has NULLs.

I'm not sure what was originally intended for those two columns, but they're obviously not used as-is. They should either be fixed and used, or removed.

Event Timeline

Pnorman created this task.Jun 2 2018, 12:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2018, 12:00 AM
Vvjjkkii renamed this task from Do something with capital and rank in place layer SQL to 8sbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 8sbaaaaaaa to Do something with capital and rank in place layer SQL.Jul 2 2018, 1:26 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Pnorman closed this task as Declined.Jul 3 2018, 4:17 PM

We're not deploying the new styles, so this no longer matters.